Subject: Re: bug#17982: 24.3.92; extra pixel line at scroll bar's right

From: martin rudalics <[email-masked]>
Date: Thu, 10 Jul 2014 09:45:56 +0200

> When I enable the toolkit (in this case, gtk3) scroll bar, there is an
 > extra pixel line at scroll bar's right. With dark backgrounds, this
 > problem is more obvious. I've uploaded an image here,
 > http://i.imgur.com/vfThig4.jpg, as you can see, the scroll bar's
 > backgound is bright, and there is an extra dark line at it's right. This
 > line is absolutely of no use and in my opinion, it's very ugly.
 >
 >
 >
 > In GNU Emacs 24.3.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 >   of 2014-07-10 on gentoo
 > Windowing system distributor `The X.Org Foundation', version 11.0.11500000
 > System Description:	NAME=Gentoo

This might be related to the rounding in update_theme_scrollbar_width of
gtkutil.c.  Can you try to remove the line

   if (w < 16) w = 16;

there and see whether the problem persists?  Alternatively, you could
try to increase the slider-width of your Gtk scrollbars

martin